diff --git a/src/gui/res/lang/gui_bg-BG.ts b/src/gui/res/lang/gui_bg-BG.ts
index b490e84f..413ad5dd 100644
--- a/src/gui/res/lang/gui_bg-BG.ts
+++ b/src/gui/res/lang/gui_bg-BG.ts
@@ -330,163 +394,168 @@ This allows Synergy to interact with elevated processes and the UAC dialog, but
     <message>
         <location filename="res/MainWindowBase.ui" line="26"/>
         <source>Synergy</source>
+        <translation type="finished">Синерджи</translation>
+    </message>
+    <message>
+        <location filename="res/MainWindowBase.ui" line="90"/>
+        <source>Ser&amp;ver (share this computer's mouse and keyboard):</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="54"/>
+        <location filename="res/MainWindowBase.ui" line="243"/>
         <source>Screen name:</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Екранно име:</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="61"/>
+        <location filename="res/MainWindowBase.ui" line="257"/>
         <source>&amp;Server IP:</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">IP на сървъра:</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="160"/>
-        <location filename="res/MainWindowBase.ui" line="315"/>
+        <location filename="res/MainWindowBase.ui" line="380"/>
+        <location filename="res/MainWindowBase.ui" line="409"/>
         <source>&amp;Start</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Старт</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="187"/>
-        <source>&amp;Server (share this computer's mouse and keyboard):</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="res/MainWindowBase.ui" line="254"/>
+        <location filename="res/MainWindowBase.ui" line="181"/>
         <source>Use existing configuration:</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Използвай налична конфигурация:</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="263"/>
+        <location filename="res/MainWindowBase.ui" line="190"/>
         <source>&amp;Configuration file:</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Конфигурационен файл:</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="283"/>
+        <location filename="res/MainWindowBase.ui" line="210"/>
         <source>&amp;Browse...</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Браузвай...</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="220"/>
+        <location filename="res/MainWindowBase.ui" line="147"/>
         <source>Configure interactively:</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Интерактивно конфигуриране:</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="232"/>
+        <location filename="res/MainWindowBase.ui" line="159"/>
         <source>&amp;Configure Server...</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Конфигурирай сървър...</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="39"/>
-        <source>&amp;Client (use another computer's keyboard and mouse):</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="res/MainWindowBase.ui" line="84"/>
+        <location filename="res/MainWindowBase.ui" line="350"/>
         <source>Ready</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="res/MainWindowBase.ui" line="91"/>
-        <source>Log</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="res/MainWindowBase.ui" line="167"/>
-        <source>&amp;Apply</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="res/MainWindowBase.ui" line="174"/>
-        <source>&amp;Elevate</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="res/MainWindowBase.ui" line="204"/>
-        <source>IP addresses:</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Готов</translation>
     </message>
     <message>
         <location filename="res/MainWindowBase.ui" line="296"/>
-        <source>&amp;About Synergy...</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="res/MainWindowBase.ui" line="304"/>
-        <source>&amp;Quit</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="res/MainWindowBase.ui" line="307"/>
-        <source>Quit</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="res/MainWindowBase.ui" line="318"/>
-        <source>Run</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="res/MainWindowBase.ui" line="329"/>
-        <source>S&amp;top</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="res/MainWindowBase.ui" line="332"/>
-        <source>Stop</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="res/MainWindowBase.ui" line="340"/>
-        <source>S&amp;how Status</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="res/MainWindowBase.ui" line="348"/>
-        <source>&amp;Hide</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="res/MainWindowBase.ui" line="351"/>
-        <source>Hide</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="res/MainWindowBase.ui" line="359"/>
-        <source>&amp;Show</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="res/MainWindowBase.ui" line="362"/>
-        <source>Show</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="res/MainWindowBase.ui" line="370"/>
-        <source>Save configuration &amp;as...</source>
-        <translation type="unfinished"></translation>
+        <source>Log</source>
+        <translation type="finished">Регистър</translation>
     </message>
     <message>
         <location filename="res/MainWindowBase.ui" line="373"/>
+        <source>&amp;Apply</source>
+        <translation type="finished">Приложи</translation>
+    </message>
+    <message>
+        <location filename="res/MainWindowBase.ui" line="107"/>
+        <source>IP addresses:</source>
+        <translation type="finished">IP адреси:</translation>
+    </message>
+    <message>
+        <location filename="res/MainWindowBase.ui" line="131"/>
+        <source>Fingerprint:</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/MainWindowBase.ui" line="228"/>
+        <source>&amp;Client (use another computer's mouse and keyboard):</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/MainWindowBase.ui" line="270"/>
+        <source>Auto config</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/MainWindowBase.ui" line="390"/>
+        <source>&amp;About Synergy...</source>
+        <translation type="finished">Относно Синерджи</translation>
+    </message>
+    <message>
+        <location filename="res/MainWindowBase.ui" line="398"/>
+        <source>&amp;Quit</source>
+        <translation type="finished">Прекрати</translation>
+    </message>
+    <message>
+        <location filename="res/MainWindowBase.ui" line="401"/>
+        <source>Quit</source>
+        <translation type="finished">Прекрати</translation>
+    </message>
+    <message>
+        <location filename="res/MainWindowBase.ui" line="412"/>
+        <source>Run</source>
+        <translation type="finished">Стартирай</translation>
+    </message>
+    <message>
+        <location filename="res/MainWindowBase.ui" line="423"/>
+        <source>S&amp;top</source>
+        <translation type="finished">Стоп</translation>
+    </message>
+    <message>
+        <location filename="res/MainWindowBase.ui" line="426"/>
+        <source>Stop</source>
+        <translation type="finished">Стоп</translation>
+    </message>
+    <message>
+        <location filename="res/MainWindowBase.ui" line="434"/>
+        <source>S&amp;how Status</source>
+        <translation type="finished">Покажи статус</translation>
+    </message>
+    <message>
+        <location filename="res/MainWindowBase.ui" line="442"/>
+        <source>&amp;Hide</source>
+        <translation type="finished">Скрий</translation>
+    </message>
+    <message>
+        <location filename="res/MainWindowBase.ui" line="445"/>
+        <source>Hide</source>
+        <translation type="finished">Скрий</translation>
+    </message>
+    <message>
+        <location filename="res/MainWindowBase.ui" line="453"/>
+        <source>&amp;Show</source>
+        <translation type="finished">Покажи</translation>
+    </message>
+    <message>
+        <location filename="res/MainWindowBase.ui" line="456"/>
+        <source>Show</source>
+        <translation type="finished">Покажи</translation>
+    </message>
+    <message>
+        <location filename="res/MainWindowBase.ui" line="464"/>
+        <source>Save configuration &amp;as...</source>
+        <translation type="finished">Записване на конфигурацията като...</translation>
+    </message>
+    <message>
+        <location filename="res/MainWindowBase.ui" line="467"/>
         <source>Save the interactively generated server configuration to a file.</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Записване на интерактивно генерираната конфигурация във файл.</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="381"/>
+        <location filename="res/MainWindowBase.ui" line="475"/>
         <source>Settings</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Настройки</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="384"/>
+        <location filename="res/MainWindowBase.ui" line="478"/>
         <source>Edit settings</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Редактирай настройките</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="392"/>
+        <location filename="res/MainWindowBase.ui" line="486"/>
         <source>Run Wizard</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Стартирай помощник</translation>
     </message>
 </context>
 <context>
@@ -494,38 +563,126 @@ This allows Synergy to interact with elevated processes and the UAC dialog, but
     <message>
         <location filename="src/NewScreenWidget.cpp" line="32"/>
         <source>Unnamed</source>
+        <translation type="finished">Безименен</translation>
+    </message>
+</context>
+<context>
+    <name>PluginManager</name>
+    <message>
+        <location filename="src/PluginManager.cpp" line="58"/>
+        <source>Failed to get plugin directory.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginManager.cpp" line="63"/>
+        <source>Failed to get profile directory.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginManager.cpp" line="136"/>
+        <source>Failed to download plugin '%1' to: %2
+%3</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginManager.cpp" line="167"/>
+        <source>Could not get Windows architecture type.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginManager.cpp" line="191"/>
+        <source>Could not get Linux architecture type.</source>
+        <translation type="unfinished"></translation>
+    </message>
+</context>
+<context>
+    <name>PluginWizardPage</name>
+    <message>
+        <location filename="res/PluginWizardPageBase.ui" line="14"/>
+        <source>Setup Synergy</source>
+        <translation type="finished">Настройка на Синерджи</translation>
+    </message>
+    <message>
+        <location filename="res/PluginWizardPageBase.ui" line="101"/>
+        <source>Please wait...</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="72"/>
+        <source>Error: %1</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="80"/>
+        <location filename="src/PluginWizardPage.cpp" line="201"/>
+        <source>Setup complete.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="93"/>
+        <source>Downloading '%1' plugin (%2/%3)...</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="104"/>
+        <source>Plugins installed successfully.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="120"/>
+        <source>Generating SSL certificate...</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="170"/>
+        <source>Downloading plugin: %1 (1/%2)</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="239"/>
+        <source>Getting plugin list...</source>
         <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
     <name>QObject</name>
     <message>
-        <location filename="src/MainWindow.cpp" line="45"/>
+        <location filename="src/MainWindow.cpp" line="60"/>
         <source>Synergy Configurations (*.sgc);;All files (*.*)</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Конфигурации на Синерджи (*.sgc);; Всички файлове (*.*)</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="48"/>
+        <location filename="src/MainWindow.cpp" line="67"/>
         <source>Synergy Configurations (*.conf);;All files (*.*)</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Конфигурации на Синерджи (*.conf);; Всички файлове (*.*)</translation>
     </message>
     <message>
-        <location filename="src/main.cpp" line="90"/>
+        <location filename="src/main.cpp" line="119"/>
         <source>System tray is unavailable, quitting.</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Системният контейнер (трей) не е достъпен, затваряне.</translation>
     </message>
 </context>
 <context>
     <name>ScreenSettingsDialog</name>
     <message>
-        <location filename="src/ScreenSettingsDialog.cpp" line="65"/>
+        <location filename="src/ScreenSettingsDialog.cpp" line="67"/>
         <source>Screen name is empty</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Екранното име липсва</translation>
     </message>
     <message>
-        <location filename="src/ScreenSettingsDialog.cpp" line="65"/>
-        <source>The name for a screen can not be empty. Please fill in a name or cancel the dialog.</source>
-        <translation type="unfinished"></translation>
+        <location filename="src/ScreenSettingsDialog.cpp" line="68"/>
+        <source>The screen name cannot be empty. Please either fill in a name or cancel the dialog.</source>
+        <translation type="finished">Екранното име не може да е празно. Моля въведете име или откажете диалога.</translation>
+    </message>
+    <message>
+        <location filename="src/ScreenSettingsDialog.cpp" line="83"/>
+        <source>Screen name matches alias</source>
+        <translation type="finished">Екранното име се припокрива с псевдонима</translation>
+    </message>
+    <message>
+        <location filename="src/ScreenSettingsDialog.cpp" line="84"/>
+        <source>The screen name cannot be the same as an alias. Please either remove the alias or change the screen name.</source>
+        <translation type="finished">Екранното име не може да е същото като псевдонима. Моля премахнете  псевдонима или сменете екранното име.</translation>
     </message>
 </context>
 <context>
@@ -533,27 +690,27 @@ This allows Synergy to interact with elevated processes and the UAC dialog, but
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="14"/>
         <source>Screen Settings</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Настройки на екрана</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="22"/>
         <source>Screen &amp;name:</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Екранно име:</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="42"/>
         <source>A&amp;liases</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Псевдоним</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="57"/>
         <source>&amp;Add</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Добави</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="74"/>
         <source>&amp;Remove</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Премахни</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="97"/>
@@ -563,7 +720,7 @@ This allows Synergy to interact with elevated processes and the UAC dialog, but
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="106"/>
         <source>&amp;Shift:</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Регистър:</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="117"/>
@@ -572,7 +729,7 @@ This allows Synergy to interact with elevated processes and the UAC dialog, but
         <location filename="res/ScreenSettingsDialogBase.ui" line="258"/>
         <location filename="res/ScreenSettingsDialogBase.ui" line="305"/>
         <source>Shift</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Shift (Регистър)</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="122"/>
@@ -581,7 +738,7 @@ This allows Synergy to interact with elevated processes and the UAC dialog, but
         <location filename="res/ScreenSettingsDialogBase.ui" line="263"/>
         <location filename="res/ScreenSettingsDialogBase.ui" line="310"/>
         <source>Ctrl</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Ctrl</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="127"/>
@@ -590,7 +747,7 @@ This allows Synergy to interact with elevated processes and the UAC dialog, but
         <location filename="res/ScreenSettingsDialogBase.ui" line="268"/>
         <location filename="res/ScreenSettingsDialogBase.ui" line="315"/>
         <source>Alt</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Alt</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="132"/>
@@ -599,7 +756,7 @@ This allows Synergy to interact with elevated processes and the UAC dialog, but
         <location filename="res/ScreenSettingsDialogBase.ui" line="273"/>
         <location filename="res/ScreenSettingsDialogBase.ui" line="320"/>
         <source>Meta</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Meta</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="137"/>
@@ -608,7 +765,7 @@ This allows Synergy to interact with elevated processes and the UAC dialog, but
         <location filename="res/ScreenSettingsDialogBase.ui" line="278"/>
         <location filename="res/ScreenSettingsDialogBase.ui" line="325"/>
         <source>Super</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Супер</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="142"/>
@@ -617,7 +774,7 @@ This allows Synergy to interact with elevated processes and the UAC dialog, but
         <location filename="res/ScreenSettingsDialogBase.ui" line="283"/>
         <location filename="res/ScreenSettingsDialogBase.ui" line="330"/>
         <source>None</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Няма</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="150"/>
@@ -627,72 +784,72 @@ This allows Synergy to interact with elevated processes and the UAC dialog, but
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="197"/>
         <source>Al&amp;t:</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Alt:</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="244"/>
         <source>M&amp;eta:</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Meta:</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="291"/>
         <source>S&amp;uper:</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Super:</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="358"/>
         <source>&amp;Dead corners</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Мъртъв ъгъл</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="367"/>
         <source>Top-left</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Горе-ляво</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="374"/>
         <source>Top-right</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Горе-дясно</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="381"/>
         <source>Bottom-left</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Долу-дясно</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="388"/>
         <source>Bottom-right</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Долу-дясно</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="397"/>
         <source>Corner Si&amp;ze:</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Размер на ъглите:</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="428"/>
         <source>&amp;Fixes</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Fixes</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="437"/>
         <source>Fix CAPS LOCK key</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Коригирай клавиш CAPS LOCK</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="444"/>
         <source>Fix NUM LOCK key</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Коригирай клавиш NUM LOCK</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="451"/>
         <source>Fix SCROLL LOCK key</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Коригирай клавиш SCROLL LOCK</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="458"/>
         <source>Fix XTest for Xinerama</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Коригирай XTest за Xinerama</translation>
     </message>
 </context>
 <context>
